package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Webhook Message
 */
@ApiModel(description = "Webhook Message")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class OpenApiWebhookMessageVo   {
  @JsonProperty("status")
  private Integer status;

  @JsonProperty("messageCode")
  private Integer messageCode;

  public OpenApiWebhookMessageVo status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Webhook Push Status. It should be a value as follows: 0: Success; 1: Failed
   * @return status
  */
  @ApiModelProperty(value = "Webhook Push Status. It should be a value as follows: 0: Success; 1: Failed")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public OpenApiWebhookMessageVo messageCode(Integer messageCode) {
    this.messageCode = messageCode;
    return this;
  }

  /**
   * Http Message Code of Webhook Push
   * @return messageCode
  */
  @ApiModelProperty(value = "Http Message Code of Webhook Push")


  public Integer getMessageCode() {
    return messageCode;
  }

  public void setMessageCode(Integer messageCode) {
    this.messageCode = messageCode;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OpenApiWebhookMessageVo openApiWebhookMessageVo = (OpenApiWebhookMessageVo) o;
    return Objects.equals(this.status, openApiWebhookMessageVo.status) &&
        Objects.equals(this.messageCode, openApiWebhookMessageVo.messageCode);
  }

  @Override
  public int hashCode() {
    return Objects.hash(status, messageCode);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OpenApiWebhookMessageVo {\n");
    
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    messageCode: ").append(toIndentedString(messageCode)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

